/*
 * @Author: Kane
 * @Date: 2022-04-22 17:33:30
 * @LastEditors: Kane
 * @LastEditTime: 2022-04-27 16:53:13
 * @FilePath: \DisasterWarning\src\main\java\com\cpic\xim\config\db\DBTable.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.config.db;

import java.util.Objects;

import com.fasterxml.jackson.annotation.JsonProperty;

public class DBTable
{
    public DBTable()
    {}

    public String getTableName()
    {
        return tableName;
    }

    public void setTableName( String tableName )
    {
        this.tableName = tableName;
    }

    public String getTableDescription()
    {
        return tableDescription;
    }

    public void setTableDescription( String tableDescription )
    {
        this.tableDescription = tableDescription;
    }

    @Override
    public boolean equals( Object o )
    {
        if ( this == o)
        {
            return true;
        }
        if ( !(o instanceof DBTable))
        {
            return false;
        }
        DBTable dbTable = (DBTable) o;
        return tableName.equals( dbTable.tableName )
                && tableDescription.equals( dbTable.tableDescription );
    }

    @Override
    public int hashCode()
    {
        return Objects.hash( tableName, tableDescription );
    }

    @JsonProperty( "table_name")
    private String tableName;

    @JsonProperty( "table_description")
    private String tableDescription;
}
